## SpiceURI

SpiceURI — URIs handling

## Stability Level

Stable, unless otherwise indicated

## Functions

const gchar * | spice_uri_get_scheme ()
void | spice_uri_set_scheme ()
const gchar * | spice_uri_get_hostname ()
void | spice_uri_set_hostname ()
guint | spice_uri_get_port ()
void | spice_uri_set_port ()
const gchar * | spice_uri_get_user ()
void | spice_uri_set_user ()
const gchar * | spice_uri_get_password ()
void | spice_uri_set_password ()
gchar * | spice_uri_to_string ()

## Types and Values

| SpiceURIClass
| SpiceURI

## Includes

    #include <spice-client.h>

## Description

A SpiceURI represents a (parsed) URI.

## Functions

### spice_uri_get_scheme ()

    const gchar *
    spice_uri_get_scheme (SpiceURI *uri);

Gets `uri` 's scheme.

#### Parameters

uri | a SpiceURI |

#### Returns

`uri` 's scheme.

Since: 0.24

### spice_uri_set_scheme ()

    void
    spice_uri_set_scheme (SpiceURI *uri,
                          const gchar *scheme);

Sets `uri` 's scheme to `scheme` .

#### Parameters

uri | a SpiceURI |
scheme | the scheme |

Since: 0.24

### spice_uri_get_hostname ()

    const gchar *
    spice_uri_get_hostname (SpiceURI *uri);

Gets `uri` 's hostname.

#### Parameters

uri | a SpiceURI |

#### Returns

`uri` 's hostname.

Since: 0.24

### spice_uri_set_hostname ()

    void
    spice_uri_set_hostname (SpiceURI *uri,
                            const gchar *hostname);

Sets `uri` 's hostname to `hostname` .

#### Parameters

uri | a SpiceURI |
hostname | the hostname |

Since: 0.24

### spice_uri_get_port ()

    guint
    spice_uri_get_port (SpiceURI *uri);

Gets `uri` 's port.

#### Parameters

uri | a SpiceURI |

#### Returns

`uri` 's port.

Since: 0.24

### spice_uri_set_port ()

    void
    spice_uri_set_port (SpiceURI *uri,
                        guint port);

Sets `uri` 's port to `port` .

#### Parameters

uri | a SpiceURI |
port | the port |

Since: 0.24

### spice_uri_get_user ()

    const gchar *
    spice_uri_get_user (SpiceURI *uri);

Gets `uri` 's user.

#### Parameters

uri | a SpiceURI |

#### Returns

`uri` 's user.

Since: 0.24

### spice_uri_set_user ()

    void
    spice_uri_set_user (SpiceURI *uri,
                        const gchar *user);

Sets `uri` 's user to `user` .

#### Parameters

uri | a SpiceURI |
user | the user, or `NULL`. |

Since: 0.24

### spice_uri_get_password ()

    const gchar *
    spice_uri_get_password (SpiceURI *uri);

Gets `uri` 's password.

#### Parameters

uri | a SpiceURI |

#### Returns

`uri` 's password.

Since: 0.24

### spice_uri_set_password ()

    void
    spice_uri_set_password (SpiceURI *uri,
                            const gchar *password);

Sets `uri` 's password to `password` .

#### Parameters

uri | a SpiceURI |
password | the password, or `NULL`. |

Since: 0.24

### spice_uri_to_string ()

    gchar *
    spice_uri_to_string (SpiceURI *uri);

Returns a string representing `uri` .

#### Parameters

uri | a SpiceURI |

#### Returns

a string representing `uri` , which the caller must free.

Since: 0.24

## Types and Values

### SpiceURIClass

    typedef struct _SpiceURIClass SpiceURIClass;

The SpiceURIClass struct is opaque and cannot be accessed directly. It is class structure for SpiceURI.

### SpiceURI

    typedef struct _SpiceURI SpiceURI;

The SpiceURI struct is opaque and cannot be accessed directly.